package models.user;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class CreateUserRequest {

    @Expose
    @SerializedName("values")
    UserInfo values;

    public CreateUserRequest() {
        values = new UserInfo();
    }

    public void setUsername(String username) {
        this.values.username = username;
    }

    public void setDisplayName(String displayName) {
        this.values.displayName = displayName;
    }

    public void setPrimaryMail(String primaryMail) {
        this.values.primaryMail = primaryMail;
    }

    public void setSecondaryMail(String secondaryMail) {
        this.values.secondaryMail = secondaryMail;
    }

    public void setDeptId(String deptId) {
        this.values.deptId = deptId;
    }

    public void setPhoneNum(String phoneNum) {
        this.values.phoneNum = phoneNum;
    }

    public void setEmployeeNumber(String employeeNumber) {
        this.values.employeeNumber = employeeNumber;
    }

}
